#ifndef SHADER_H
#define SHADER_H

#include <QOpenGLShaderProgram>
#include <QString>
#include <QFile>
#include <QDir>

/*! This is the class which handles the shaders. */

class shader
{
public:
  shader(QString vsFileName, QString fsFileName);
  shader(QString vsFileName, QString gsFileName ,QString fsFileName);

  QOpenGLShaderProgram* getShaderProgramm();

private:

  QString vsFileName;
  QString fsFileName;

  QOpenGLShaderProgram shaderProgram;

};

#endif // SHADER_H
