#version 400
layout(location = 0) in vec3 vertexPosition;
layout(location = 1) in vec3 vertexNormal;
layout(location = 2) in vec3 vertexColor;


out VS_OUT {
    vec3 color;
} vs_out;

float M_PI = 3.14159265358;

void main() {

    vec3 norm = vertexNormal;

    float x = (1 / M_PI) * atan(norm.x, norm.z);
    float y = norm.y;

    vs_out.color = vertexColor;
    gl_Position = vec4(x,y,0,1);

}
