#-------------------------------------------------
#
# Project created by QtCreator 2018-04-04T14:48:44
#
#-------------------------------------------------

# copy all needed dll to release
# windeployqt exe

QT       += core gui opengl

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = krone2016
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0


SOURCES += \
        main.cpp \
        mainwindow.cpp \
    converter.cpp \
    textureview/textureview.cpp \
    shader.cpp \
    meshview/meshview.cpp \
    meshview/surfacemesh.cpp \
    colorselector.cpp \
    meshsphereview/surfacemeshsphere.cpp \
    meshsphereview/meshsphereview.cpp \
    textureview/spheremap.cpp

HEADERS += \
        mainwindow.h \
    converter.h \
    textureview/textureview.h \
    shader.h \
    meshview/meshview.h \
    meshview/surfacemesh.h \
    colorselector.h \
    meshsphereview/meshsphereview.h \
    meshsphereview/surfacemeshsphere.h \
    textureview/spheremap.h \
    meshview/colorcreator.h

FORMS += \
        mainwindow.ui \
    colorselector.ui

win32 {
LIBS += \
        opengl32.lib \
}

CONFIG -= debug_and_release debug_and_release_target

msms.files = msms
msms.path = $$OUT_PWD

examples.files = examples
examples.path = $$OUT_PWD

icons.files = icons
icons.path = $$OUT_PWD

INSTALLS += msms \
        examples \
        icons

DEFINES += SDIR=\\\"$${PWD}\\\"

INCLUDEPATH += $$PWD/includes

RESOURCES = resources.qrc

OTHER_FILES += shaders/mesh.frag \
        shaders/mesh.vert \
        shaders/meshSphere.frag \
        shaders/meshSphere.vert \
        shaders/sphereToMap.frag \
        shaders/sphereToMap.vert \
        shaders/sphereToMap.geom \
        shaders/fullscreenRect.frag \
        shaders/fullscreenRect.vert

